%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  WorldFlora
%global packver   1.14-5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.14.5
Release:          1%{?dist}%{?buildtag}
Summary:          Standardize Plant Names According to World Flora Online Taxonomic Backbone

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch

%description
World Flora Online is an online flora of all known plants, available from
<https://www.worldfloraonline.org/>. Methods are provided of matching a
list of plant names (scientific names, taxonomic names, botanical names)
against a static copy of the World Flora Online Taxonomic Backbone data
that can be downloaded from the World Flora Online website. The World
Flora Online Taxonomic Backbone is an updated version of The Plant List
(<http://www.theplantlist.org/>), a working list of plant names that has
become static since 2013.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
